com.sun.messaging.jms

## Class ResourceAllocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.ResourceAllocationException
        - - com.sun.messaging.jms.ResourceAllocationException

All Implemented Interfaces:
  com.sun.messaging.jmq.jmsclient.logging.Loggable, java.io.Serializable

    public class ResourceAllocationException
    extends ResourceAllocationException
    implements com.sun.messaging.jmq.jmsclient.logging.Loggable

This exception is thrown when a provider is unable to allocate the resources required by a method. For example, this exception should be thrown when a call to `TopicConnectionFactory.createTopicConnection` fails due to a lack of JMS provider resources.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ResourceAllocationException(java.lang.String reason)` Constructs a `ResourceAllocationException` with the specified reason and with the error code defaulting to null.
`ResourceAllocationException(java.lang.String reason, java.lang.String errorCode)` Constructs a `ResourceAllocationException` with the specified reason and error code.
`ResourceAllocationException(java.lang.String reason, java.lang.String errorCode, java.lang.Throwable cause)` Constructs a `ResourceAllocationException` with the specified reason, error code, and a specified cause.

### Method Summary

Methods
`boolean` `getLogState()` get logging state of this object.
`void` `printStackTrace()` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `javax.jms.JMSException.getLinkedException()`
`void` `printStackTrace(java.io.PrintStream s)`
`void` `printStackTrace(java.io.PrintWriter s)` If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `JMSException.getLinkedException()`
`void` `setLinkedException(java.lang.Exception ex)` If running under J2SE1.4 or above, this method will also set the cause of the `ResourceAllocationException`.
`void` `setLogState(boolean state)` set state to true if this object is logged.

### Methods inherited from class javax.jms.JMSException

`getErrorCode, getLinkedException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourceAllocationException

    public ResourceAllocationException(java.lang.String reason,
                               java.lang.String errorCode)

Constructs a `ResourceAllocationException` with the specified reason and error code.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code

#### ResourceAllocationException

    public ResourceAllocationException(java.lang.String reason)

Constructs a `ResourceAllocationException` with the specified reason and with the error code defaulting to null.

Parameters:
  `reason` - a description of the exception

#### ResourceAllocationException

    public ResourceAllocationException(java.lang.String reason,
                               java.lang.String errorCode,
                               java.lang.Throwable cause)

Constructs a `ResourceAllocationException` with the specified reason, error code, and a specified cause.

Parameters:
  `reason` - a description of the exception
  `errorCode` - a string specifying the vendor-specific error code
  `cause` - the cause. A `null` value is permitted, and indicates that the cause is non-existent or unknown.

### Method Detail

#### setLinkedException

    public void setLinkedException(java.lang.Exception ex)

If running under J2SE1.4 or above, this method will also set the cause of the `ResourceAllocationException`. When a backtrace of the `ResourceAllocationException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

Overrides:
  `setLinkedException` in class `JMSException`
Parameters:
  `ex` - the linked `Exception`

#### printStackTrace

    public void printStackTrace()

If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `javax.jms.JMSException.getLinkedException()`

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `javax.jms.JMSException.getLinkedException()`

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

If running under versions of the Java platform prior to J2SE1.4, this method will also print the backtrace of the exception linked to this `ResourceAllocationException` and obtained via `JMSException.getLinkedException()`

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### setLogState

    public void setLogState(boolean state)

set state to true if this object is logged.

Specified by:
  `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
Parameters:
  `state` - boolean

#### getLogState

    public boolean getLogState()

get logging state of this object.

Specified by:
  `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
Returns:
  boolean true if this object is logged.